aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-04 17:28:40 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-04 17:28:40 +0100
commit7ef948f03b098b2a9e7656b02968b7c56202c985 (patch)
treead1bb80eb845bb1fc50a2dd7cc7d702cfce52718
parent118c1a2c6db28a67af47146ae117b96f3cab22b6 (diff)
downloadaports-7ef948f03b098b2a9e7656b02968b7c56202c985.tar.gz
aports-7ef948f03b098b2a9e7656b02968b7c56202c985.tar.bz2
aports-7ef948f03b098b2a9e7656b02968b7c56202c985.tar.xz
main/m4: fix build on eglibc
-rw-r--r--main/m4/APKBUILD4
1 files changed, 4 insertions, 0 deletions
diff --git a/main/m4/APKBUILD b/main/m4/APKBUILD
index 7216a43b7a..cf37f2b336 100644
--- a/main/m4/APKBUILD
+++ b/main/m4/APKBUILD
@@ -12,8 +12,12 @@ source="ftp://ftp.gnu.org/gnu/m4/$pkgname-$pkgver.tar.gz
"
_builddir="$srcdir"/$pkgname-$pkgver
+
prepare() {
cd "$_builddir"
+ # fix eglibc-2.16+ build issue
+ sed -i -e '/gets is a/d' \
+ lib/stdio.in.h || return 1
}
build() {